Opened 11 years ago

Closed 11 years ago

#642 closed enhancement (fixed)

Highway area labels

Reported by: andre-r@… Owned by: Knut Arne Bjørndal
Priority: minor Milestone:
Component: osmarender Version:
Keywords: Cc:

Description

You know the new feature of highway areas? Ok! But there is a little problem: The small blue label. I think, this should be activateable via a special tag because the labels are not needed in common causes. So default should be off. Example: labeled="no|yes"

Change History (8)

comment:1 Changed 11 years ago by andre-r@…

Component: adminosmarender
Owner: changed from Tom Hughes to Jochen Topf

comment:2 Changed 11 years ago by Tom Hughes

No, no, no. Tags describe what the object is, not how you'd like it rendered. That is up to the renderers.

comment:3 Changed 11 years ago by andre-r@…

But one developer in the chat had said, that the blue labels are bugs of the renderer and he'll fix it so i only should post this ticket as reminder.

comment:4 Changed 11 years ago by Knut Arne Bjørndal

Owner: changed from Jochen Topf to Knut Arne Bjørndal

I think the best fix for this will be to only render names for highway=* area=yes if it's different from any connected way, I believe it should be possible to implement this in osmarender.

comment:5 Changed 11 years ago by Thomas Wood

Possibly requiring osmarender:renderName=yes should be required for names for areas as a forced fallback?

http://wiki.openstreetmap.org/index.php/Osmarender/Tags

comment:6 Changed 11 years ago by Knut Arne Bjørndal

Summary: Highway areasHighway area labels

comment:7 Changed 11 years ago by Knut Arne Bjørndal

Status: newassigned

comment:8 Changed 11 years ago by bobkare

Resolution: fixed
Status: assignedclosed

(In [9574]) Fairly big osmarender change doing some refactoring on the rule parsing and falling back to simple BBOX center for areas with more than 150 nodes. Adds size-dependent rendering of names for large natural features (fixes #716) and suppresses labels for highway areas with same name as connected features (fixes #642).

r8442@pastry: bob | 2008-06-24 21:48:19 +0200 Creating a branch for my osmarender <rule> refactoring. r8443@pastry: bob | 2008-06-24 22:10:21 +0200 Committing old <rule> refactoring code r17179@pastry: bob | 2008-08-03 21:59:35 +0200 Merge back from muffin now that pastry is online again r17180@pastry: bob | 2008-08-03 23:21:16 +0200 Merged from trunk r17181@pastry: bob | 2008-08-05 17:57:55 +0200 Reintroducing some areaCenter changes I thought didn't have anything to do with this patch but it turns out the minSize stuff broke areaCenter because it used node-set on an RTF, which meant the nodes came from another document or something, which in turn meant key() no longer worked on the whole osm document r17182@pastry: bob | 2008-08-05 19:13:57 +0200 Fixed wrong placement of minSize rule in z12, and did some work on styling all the minSize captions r17183@pastry: bob | 2008-08-05 20:35:24 +0200 Cleaned up the rules for notConnectedSameTag on highway areas and junctions r17588@pastry: bob | 2008-08-08 17:27:38 +0200 Implemented fallback to areaBBOXCenter for polygons with more than 150 nodes

Note: See TracTickets for help on using tickets.